FROM node:12-alpine
# update npm
RUN npm i npm -g
ENV NODE_ENV=development

COPY . /app

WORKDIR /app

VOLUME [ "/app/src" ]

RUN npm ci --registry https://nexus.nspop.dk/nexus/repository/nsp-npm/
RUN npx ng build facade-api

EXPOSE 4700 8080
CMD npm run start
