import { TestBed } from '@angular/core/testing';

import { ClinicalObservationsServiceService } from './clinical-observations-service.service';
import {DataSourceService} from '../../services/data-source.service';
import {of} from 'rxjs';
import {ObservationService} from '../../api/observation.service';

describe('ClinicalObservationsServiceService', () => {
  let service: ClinicalObservationsServiceService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      providers: [
        { provide: DataSourceService, useValue: {}},
        {provide: ObservationService, useValue: {getClinicalObservationTable: () => of({})}}
      ]
    });
    service = TestBed.inject(ClinicalObservationsServiceService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
