import { TestBed } from '@angular/core/testing';

import { MeasurementService } from './measurement.service';
import {DataSourceService} from './data-source.service';
import {of} from 'rxjs';

describe('MeasurementService', () => {
  let service: MeasurementService;

  beforeEach(() => {
    const dataSourceStub = {
      activeDataCard$: of({})
    };
    TestBed.configureTestingModule({
      providers: [
        { provide: DataSourceService, useValue: dataSourceStub }
      ]
    });
    service = TestBed.inject(MeasurementService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });
});
