import {NumericValue} from './observationTable';

export interface ScanningObservationTable {
  mother?: {
    rows?: {
      activityId: string;
      date: Date;
      gestationAge: string;
      dvp?: NumericValue;
      conclusion?: string;
      flow?: string;
      amnioticFluid?: string;
      cervix?: NumericValue
    }[]
  };
  fetuses?: {
    id: string;
    name: string;
    rows?: {
      activityId: string;
      date: Date;
      gestationAge: string;
      ulWeight?: NumericValue;
      weightDeviation?: NumericValue;
      fetusPresentation?: string
    }[];
  }[];
}
