import {Component} from '@angular/core';
import {DataSourceService} from '../services/data-source.service';
import {DataCardService} from '../api/data-card.service';

@Component({
  selector: 'app-no-active-pathway',
  templateUrl: './no-active-pathway.component.html',
  styleUrls: ['./no-active-pathway.component.scss']
})
export class NoActivePathwayComponent{

  constructor(
    private dataCardService: DataCardService,
    private dataSourceService: DataSourceService
  ) {}

  public createPathway(): void {
    this.dataCardService.create().subscribe(() => {
      this.dataSourceService.refresh();
    });
  }
}
